> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Smart Link (/api-reference/smart-links/create-smart-link)

Create a new Smart Link for the account. Smart Links are pooled Free Trial or Tracking links that rotate inventory automatically.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml post /api/smart-links
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/smart-links:
    post:
      summary: Create Smart Link
      operationId: createSmartLink
      description: Create a new Smart Link for the account. Smart Links are pooled
        Free Trial or Tracking links that rotate inventory automatically.
      parameters: []
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 01JCZWQJZXQJZXQJZXQJZXQJZX
                    name: Instagram Bio Link
                    link_type: free_trial
                    traffic_redirect_url: https://trk.of-traffic.com/go/01JCZWQJZXQJZXQJZXQJZXQJZX
                    free_trial_days: 7
                    clicks_count: 0
                    conversions_count: 0
                    subscribers_count: 0
                    revenue: null
                    cost:
                      inputMode: null
                      inputValue: null
                      perSub: null
                      perClick: null
                      perPromo: null
                      subscriberSourceCount: 0
                      clickSourceCount: 0
                    account:
                      id: acct_XXXXXXXX
                      display_name: Example Creator
                      username: examplecreator
                    created_at: 2025-01-15T10:30:00+00:00
                    updated_at: 2025-01-15T10:30:00+00:00
                  _meta:
                    _credits:
                      used: 0
                      balance: 999999985
                      note: Free endpoint
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 10000000
                      limit_day: 50000
                      remaining_minute: 9999998
                      remaining_day: 49988
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: 01JCZWQJZXQJZXQJZXQJZXQJZX
                      name:
                        type: string
                        example: Instagram Bio Link
                      link_type:
                        type: string
                        example: free_trial
                      traffic_redirect_url:
                        type: string
                        example: https://trk.of-traffic.com/go/01JCZWQJZXQJZXQJZXQJZXQJZX
                      free_trial_days:
                        type: integer
                        example: 7
                      clicks_count:
                        type: integer
                        example: 0
                      conversions_count:
                        type: integer
                        example: 0
                      subscribers_count:
                        type: integer
                        example: 0
                      revenue:
                        type: string
                        example: null
                        nullable: true
                      cost:
                        type: object
                        properties:
                          inputMode:
                            type: string
                            example: null
                            nullable: true
                          inputValue:
                            type: string
                            example: null
                            nullable: true
                          perSub:
                            type: string
                            example: null
                            nullable: true
                          perClick:
                            type: string
                            example: null
                            nullable: true
                          perPromo:
                            type: string
                            example: null
                            nullable: true
                          subscriberSourceCount:
                            type: integer
                            example: 0
                          clickSourceCount:
                            type: integer
                            example: 0
                      account:
                        type: object
                        properties:
                          id:
                            type: string
                            example: acct_XXXXXXXX
                          display_name:
                            type: string
                            example: Example Creator
                          username:
                            type: string
                            example: examplecreator
                      created_at:
                        type: string
                        example: 2025-01-15T10:30:00+00:00
                      updated_at:
                        type: string
                        example: 2025-01-15T10:30:00+00:00
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 0
                          balance:
                            type: integer
                            example: 999999985
                          note:
                            type: string
                            example: Free endpoint
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 10000000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 9999998
                          remaining_day:
                            type: integer
                            example: 49988
      tags:
        - Smart Links
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                account_id:
                  type: string
                  description: The prefixed ID of the account to create the Smart Link for
                  example: acct_XXXXXXXX
                name:
                  type: string
                  description: The name of the Smart Link
                  example: Instagram Bio Link
                link_type:
                  type: string
                  description: The type of Smart Link to create
                  example: free_trial
                  enum:
                    - free_trial
                    - tracking_link
                free_trial_days:
                  type: integer
                  description: The number of free trial days (required if `link_type` is
                    `free_trial`). Must be between 1 and 360.
                  example: 7
              required:
                - account_id
                - name
                - link_type
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````